{**********************************************************************
* Provisioning Module for NodePing. Custom developed.
* *
*
* CREATED BY MODULESGARDEN -> http://modulesgarden.com
* CONTACT -> contact@modulesgarden.com
*
*
*
*
* This software is furnished under a license and may be used and copied
* only in accordance with the terms of such license and with the
* inclusion of the above copyright notice. This software or any other
* copies thereof may not be provided or otherwise made available to any
* other person. No title to and ownership of the software is hereby
* transferred.
*
*
**********************************************************************}


<div class="module-header">
    <i class="icon-header icon-emailsforwarders"></i>
    <h1>{$lang.contacts.title}</h1>
    <p>{$lang.contacts.description}</p>
</div>
<div class="module-body">
    <div class="section">
        <div>
            <form action='' method='get'>
            <input type="hidden" name="modop" value="custom">
            <input type="hidden" name="action" value="productdetails">
            <input type="hidden" name="id" value="{$serviceid}">
            <input type="hidden" name="a" value="management">
            <input type="hidden" name="page" value="contacts">
            <h4>{$lang.contacts.timezone}</h4>
            <select name="timezone" id="account-timezone-select">
                <option value="-12.0" {if $POST.timezone eq "-12.0"}selected{/if}>(GMT -12:00) Eniwetok, Kwajalein</option>
                <option value="-11.0" {if $POST.timezone eq "-11.0"}selected{/if}>(GMT -11:00) Midway Island, Samoa</option>
                <option value="-10.0" {if $POST.timezone eq "-10.0"}selected{/if}>(GMT -10:00) Hawaii</option>
                <option value="-9.0" {if $POST.timezone eq "-9.0"}selected{/if}>(GMT -9:00) Alaska</option>
                <option value="-8.0" {if $POST.timezone eq "-8.0"}selected{/if}>(GMT -8:00) Pacific Time (US &amp; Canada)</option>
                <option value="-7.0" {if $POST.timezone eq "-7.0"}selected{/if}>(GMT -7:00) Mountain Time (US &amp; Canada)</option>
                <option value="-6.0" {if $POST.timezone eq "-6.0"}selected{/if}>(GMT -6:00) Central Time (US &amp; Canada), Mexico City</option>
                <option value="-5.0" {if $POST.timezone eq "-5.0"}selected{/if}>(GMT -5:00) Eastern Time (US &amp; Canada), Bogota, Lima</option>
                <option value="-4.5" {if $POST.timezone eq "-4.5"}selected{/if}>(GMT -4:30) Caracas</option>
                <option value="-4.0" {if $POST.timezone eq "-4.0"}selected{/if}>(GMT -4:00) Atlantic Time (Canada), Caracas, La Paz</option>
                <option value="-3.5" {if $POST.timezone eq "-3.5"}selected{/if}>(GMT -3:30) Newfoundland</option>
                <option value="-3.0" {if $POST.timezone eq "-3.0"}selected{/if}>(GMT -3:00) Brazil, Buenos Aires, Georgetown</option>
                <option value="-2.0" {if $POST.timezone eq "-2.0"}selected{/if}>(GMT -2:00) Mid-Atlantic</option>
                <option value="-1.0" {if $POST.timezone eq "-1.0"}selected{/if}>(GMT -1:00 hour) Azores, Cape Verde Islands</option>
                <option value="0.0" {if $POST.timezone eq "0.0"}selected{/if}>(GMT) Western Europe Time, London, Lisbon, Casablanca</option>
                <option value="1.0" {if $POST.timezone eq "1.0"}selected{/if}>(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris</option>
                <option value="2.0" {if $POST.timezone eq "2.0"}selected{/if}>(GMT +2:00) Kaliningrad, South Africa</option>
                <option value="3.0" {if $POST.timezone eq "3.0"}selected{/if}>(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg</option>
                <option value="3.5" {if $POST.timezone eq "3.5"}selected{/if}>(GMT +3:30) Tehran</option>
                <option value="4.0" {if $POST.timezone eq "4.0"}selected{/if}>(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi</option>
                <option value="4.5" {if $POST.timezone eq "4.5"}selected{/if}>(GMT +4:30) Kabul</option>
                <option value="5.0" {if $POST.timezone eq "5.0"}selected{/if}>(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent</option>
                <option value="5.5" {if $POST.timezone eq "5.5"}selected{/if}>(GMT +5:30) Bombay, Calcutta, Madras, New Delhi</option>
                <option value="5.75" {if $POST.timezone eq "5.75"}selected{/if}>(GMT +5:45) Kathmandu</option>
                <option value="6.0" {if $POST.timezone eq "6.0"}selected{/if}>(GMT +6:00) Almaty, Dhaka, Colombo</option>
                <option value="7.0" {if $POST.timezone eq "7.0"}selected{/if}>(GMT +7:00) Bangkok, Hanoi, Jakarta</option>
                <option value="8.0" {if $POST.timezone eq "8.0"}selected{/if}>(GMT +8:00) Beijing, Perth, Singapore, Hong Kong</option>
                <option value="9.0" {if $POST.timezone eq "9.0"}selected{/if}>(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk</option>
                <option value="9.5" {if $POST.timezone eq "9.5"}selected{/if}>(GMT +9:30) Adelaide, Darwin</option>
                <option value="10.0" {if $POST.timezone eq "10.0"}selected{/if}>(GMT +10:00) Eastern Australia, Guam, Vladivostok</option>
                <option value="11.0" {if $POST.timezone eq "11.0"}selected{/if}>(GMT +11:00) Magadan, Solomon Islands, New Caledonia</option>
                <option value="12.0" {if $POST.timezone eq "12.0"}selected{/if}>(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka</option>
                <option value="13.0" {if $POST.timezone eq "13.0"}selected{/if}>(GMT +13:00) Kiribati, Tonga, Samoa</option>
            </select>
            <button type="submit" class="btn btn-success">Update</button>
            </form>
        </div>
        <div class="help-block">{$lang.contacts.usage} {$POST.contactCount}/{$POST.contactLimit}</div>
        <div class="progress">
            <div class="progress-bar progress-bar-success" role="progressbar " aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: {$POST.contactPercentage}%;"></div>
        </div>

        <div class="table-header">
            <div class="header-title">
                <h4>{$lang.contacts.contacts}</h4>
            </div>

            <div class="header-actions">
                <div class="header-search">
                    <div class="input-icon">
                        <i class="fa fa-search"></i>
                        <input class="form-control" type="text" placeholder="{$lang.contacts.search}" data-search="alias-table">
                    </div>
                </div>
            </div>
        </div>

        <table class="table" id="alias-table" >
            <thead>
                <tr>
                    <th>{$lang.contacts.name}</th>
                    <th>{$lang.contacts.type}</th>
                    <th>{$lang.contacts.target}</th>
                    <th>{$lang.contacts.action}</th>
                </tr>
            </thead>
            <tbody>
                {if empty($contacts)}
                    <tr><td colspan="6" style="text-align: center; color: gray;">{$lang.contacts.nocontacts}</td></tr>
                    {else}
                        {foreach from=$contacts item="contact"}
                        <tr>
                            <td width="25%" data-label="{$lang.aliases.account}" class="cell-sm-12">{$contact.name}</td>
                            <td width="25%" data-label="{$lang.aliases.alias}" class="cell-sm-12">{$contact.type}</td>
                            <td width="25%" data-label="{$lang.aliases.alias}" class="cell-sm-12">{$contact.address}</td>
                            <td width="25%" data-label="{$lang.aliases.alias}" class="cell-sm-12">
                                <button type="button" onclick="window.location.href = '{$link}&page=contact&todo=edit&contactid={$contact.id}'" class="btn btn-success">{$lang.contacts.edit}</button>
                                <button type="button" onclick="
                                        {literal}
                                                if (confirm('{/literal}{$lang.contacts.confirm}{literal}')) {
                                                    window.location.href = '{/literal}{$link}{literal}&page=contacts&todo=delete&contactid={/literal}{$contact.id}{literal}';
                                                            } else {
                                                                return false;
                                                            }
                                        {/literal}" class="btn btn-danger">{$lang.contacts.delete}</button>
                            </td>
                        </tr>
                    {/foreach}
                {/if}
            </tbody>
        </table>
    </div>

    <div class="section" style="margin-bottom: 40px">

    </div>

    {if $POST.contactCanAdd}
        <div class="section" style="margin-bottom: 40px">
            <button type="button" onclick="window.location.href = '{$link}&page=contact&todo=new'" class="btn btn-success">{$lang.contacts.add}</button>
        </div>
    {else}
        <div class="section" style="margin-bottom: 40px">
            <button type="button" class="btn btn-danger"> {$lang.contacts.denied}</button>
        </div>
    {/if}

</div>
