{**********************************************************************
* Provisioning Module for NodePing. Custom developed.
* *
*
* CREATED BY MODULESGARDEN -> http://modulesgarden.com
* CONTACT -> contact@modulesgarden.com
*
*
*
*
* This software is furnished under a license and may be used and copied
* only in accordance with the terms of such license and with the
* inclusion of the above copyright notice. This software or any other
* copies thereof may not be provided or otherwise made available to any
* other person. No title to and ownership of the software is hereby
* transferred.
*
*
**********************************************************************}



<div class="module-header">
    <i class="icon-header icon-emailsforwarders"></i>
    <h1>{$lang.contact.title}</h1>
    <p>{$lang.contact.description}</p>
</div>
<div class="module-body">
    <div class="section">


        {if $smarty.get.contactid}   
            <h4>{$lang.contact.editcontact}</h4>
        {else}
            <h4>{$lang.contact.addcontact}</h4>
        {/if} 


        <div class="well">

            <form class="form-horizontal" action="{$link}&page=contact&todo=save&contactid={$POST.contactID}" method="post">
                <div class="form-group" >
                    <label class="col-sm-3 control-label">{$lang.contact.name}</label>
                    <div class="input col-sm-6">
                        <input type="text" class="form-control first" name="contactName" value="{$POST.contactName}">
                        <p class="help-block">{$lang.contact.namedesc}</p>
                    </div>
                </div>

                <div class="form-group">
                    <label class=" control-label col-sm-3">{$lang.contact.address}</label>
                    <div class=" col-sm-9">
                        <div id="contact-fields">
                            {foreach from=$POST.contacts key=k item=contact}
                                <div class="form-group">
                                    <div class=" col-sm-4">
                                        <input type="text" class="form-control first contact-value" name="contactValue" value="{$contact.value}"> 
                                        <input type="hidden" class="form-control first contact-id" name="contactID" value="{$contact.id}"> 
                                    </div>
                                    <div class=" col-sm-4">
                                        <select name="contactType" class="form-control contact-type" name="contactType">
                                            {foreach from=$POST.availableNotifications item=notification}
                                                {if $notification == "email"}<option value="email" {if 'email' == $contact.type} selected="selected" {/if}>{$lang.contact.email}</option>{/if}
                                                {if $notification == "sms"}<option value="sms" {if 'sms' == $contact.type} selected="selected" {/if}>{$lang.contact.sms}</option>{/if}
                                                {if $notification == "voice"}<option value="voice" {if 'voice' == $contact.type} selected="selected" {/if}>{$lang.contact.voice}</option>{/if}
                                                {if $notification == "webhook"}<option value="webhook" {if 'webhook' == $contact.type} selected="selected" {/if}>{$lang.contact.webhook}</option>{/if}
                                                {if $notification == "pagerduty"}<option value="pagerduty" {if 'pagerduty' == $contact.type} selected="selected" {/if}>{$lang.contact.pagerduty}</option>{/if}
                                                {if $notification == "pushover"}<option value="pushover" {if 'pushover' == $contact.type} selected="selected" {/if}>{$lang.contact.pushover}</option>{/if}
                                                {if $notification == "hipchat"}<option value="hipchat" {if 'hipchat' == $contact.type} selected="selected" {/if}>{$lang.contact.hipchat}</option>{/if}
                                                {if $notification == "slack"}<option value="slack" {if 'slack' == $contact.type} selected="selected" {/if}>{$lang.contact.slack}</option>{/if}
                                            {/foreach}
                                        </select> 
                                    </div>
                                    <div class=" col-sm-1 help-block">
                                        <a href="javascript:void(0)" class="contact-remove">{$lang.contact.remove}</a>
                                    </div>
                                </div>
                            {/foreach}
                        </div>
                        <div class=" col-sm-6">
                            <p class="help-block">
                                <a href="javascript:void(0)" id="contact-add">{$lang.contact.addanother}</a>
                                <br/>
                                {$lang.contact.addressdesc}</p>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <div class=" col-sm-3"></div>
                    <div class="col-sm-9">
                        {if $smarty.get.contactid}   
                            <button type="submit" class="btn btn-success">{$lang.contact.savecontact}</button>
                        {else}
                            <button type="submit" class="btn btn-success">{$lang.contact.addcontact}</button>
                        {/if} 
                    </div>
                </div>

            </form>

            <div style="display: none" id="contact-empty">
                <div class="form-group" >
                    <div class=" col-sm-4">
                        <input type="text" class="form-control first contact-value"> 
                        <input type="hidden" class="form-control first contact-id"> 
                    </div>
                    <div class=" col-sm-4">
                        <select name="contactType" class="form-control contact-type" >
                            {foreach from=$POST.availableNotifications item=notification}
                                {if $notification == "email"} <option value="email">{$lang.contact.email}</option>{/if}
                                {if $notification == "sms"} <option value="sms">{$lang.contact.sms}</option>{/if}
                                {if $notification == "voice"} <option value="voice">{$lang.contact.voice}</option>{/if}
                                {if $notification == "webhook"} <option value="webhook">{$lang.contact.webhook}</option>{/if}
                                {if $notification == "pagerduty"} <option value="pagerduty">{$lang.contact.pagerduty}</option>{/if}
                                {if $notification == "pushover"} <option value="pushover">{$lang.contact.pushover}</option>{/if}
                                {if $notification == "hipchat"}<option value="hipchat" {if 'hipchat' == $contact.type} selected="selected" {/if}>{$lang.contact.hipchat}</option>{/if}
                                {if $notification == "slack"}<option value="slack" {if 'slack' == $contact.type} selected="selected" {/if}>{$lang.contact.slack}</option>{/if}
                            {/foreach}
                        </select> 
                    </div>
                    <div class=" col-sm-1">
                        <a href="javascript:void(0)" class="help-block contact-remove">{$lang.contact.remove}</a>
                    </div> 
                </div>
            </div>

        </div>
    </div>
</div>
