{**********************************************************************
* Provisioning Module for NodePing. Custom developed.
* *
*
* CREATED BY MODULESGARDEN -> http://modulesgarden.com
* CONTACT -> contact@modulesgarden.com
*
*
*
*
* This software is furnished under a license and may be used and copied
* only in accordance with the terms of such license and with the
* inclusion of the above copyright notice. This software or any other
* copies thereof may not be provided or otherwise made available to any
* other person. No title to and ownership of the software is hereby
* transferred.
*
*
**********************************************************************}


<div class="module-header">
    <i class="icon-header icon-distributionlist"></i>
    <h1>{$lang.groups.title}</h1>
    <p>{$lang.groups.description}</p>
</div>
<div class="module-body">

    <div class="section">
        <div class="table-header">
            <div class="header-title">
                <h4>{$lang.groups.groups}</h4>
            </div>

            <div class="header-actions">
                <div class="header-search">
                    <div class="input-icon">
                        <i class="fa fa-search"></i>
                        <input class="form-control" type="text" placeholder="{$lang.groups.search}" data-search="alias-table">
                    </div>
                </div>
            </div>
        </div>

        <table class="table" id="alias-table" >
            <thead>
                <tr>
                    <th>{$lang.groups.name}</th>
                    <th>{$lang.groups.action}</th>
                </tr>
            </thead>
            <tbody>
                {if empty($gropus)}
                    <tr><td colspan="6" style="text-align: center; color: gray;">{$lang.groups.nogroup}</td></tr>
                    {else}
                        {foreach from=$gropus item="gruop"}
                        <tr>
                            <td  width="75%"data-label="{$lang.aliases.account}" class="cell-sm-12">{if $gruop.name == ''}({$lang.groups.unnamed}){else}{$gruop.name}{/if}</td>
                            <td  width="25%"data-label="{$lang.aliases.alias}" class="cell-sm-12">
                                <button type="button" onclick="window.location.href = '{$link}&page=group&todo=edit&groupid={$gruop.id}'" class="btn btn-success">{$lang.groups.edit}</button>
                                <button type="button" onclick="
                                        {literal}
                                                if (confirm('{/literal}{$lang.groups.confirm}{literal}')) {
                                                    window.location.href = '{/literal}{$link}{literal}&page=groups&todo=delete&groupid={/literal}{$gruop.id}{literal}';
                                                            } else {
                                                                return false;
                                                            }
                                        {/literal}" class="btn btn-danger">{$lang.groups.delete}</button>
                            </td>
                        </tr>
                    {/foreach}
                {/if}
            </tbody>
        </table>
    </div>

    <div class="section" style="margin-bottom: 40px">
        <button type="button" onclick="window.location.href = '{$link}&page=group&todo=new'" class="btn btn-success">{$lang.groups.new}</button>
    </div>

</div>