{**********************************************************************
* Provisioning Module for NodePing. Custom developed.
* *
*
* CREATED BY MODULESGARDEN -> http://modulesgarden.com
* CONTACT -> contact@modulesgarden.com
*
*
*
*
* This software is furnished under a license and may be used and copied
* only in accordance with the terms of such license and with the
* inclusion of the above copyright notice. This software or any other
* copies thereof may not be provided or otherwise made available to any
* other person. No title to and ownership of the software is hereby
* transferred.
*
*
**********************************************************************}

{literal}
    <script type="text/javascript">
        $(document).ready(function () {
            $("#history_length select").addClass("form-control");
            $("#history_filter input").addClass("form-control");
            $("#history_filter").css("text-align", "left");
        });
    </script>
{/literal}



<div class="module-header">
    <i class="icon-header icon-emailsforwarders"></i>
    <h1>{$lang.history.title}</h1>
    <p>{$lang.history.description}</p>
</div>
<div class="module-body">
    <div class="section">
        <div class=" col-sm-12">
            <h4><b>{$lang.history.label} </b>{$POST.label}</h4>
            <h4><b>{$lang.history.target} </b>{$POST.param_target}</h4>
        </div>
        <div class=" col-sm-12">
            {$lang.history.showinglast}<select onchange="if (this.value)
                        window.location.href = '{$link}&page=history&checkid={$POST.checkID}&span=' + this.value">
                <option {if $POST.span == 6}selected{/if} value="6">{$lang.history.6hours}</option>
                <option {if $POST.span == 12}selected{/if} value="12">{$lang.history.12hours}</option>
                <option {if $POST.span == 24}selected{/if} value="24">{$lang.history.oneday}</option>
                <option {if $POST.span == 48}selected{/if} value="48">{$lang.history.twodays}</option>
                <option {if $POST.span == 72}selected{/if} value="72">{$lang.history.threedays}</option>
                <option {if $POST.span == 168}selected{/if} value="168">{$lang.history.sevendays}</option>
                <option {if $POST.span == 720}selected{/if} value="720">{$lang.history.30days}</option>
            </select> {$lang.history.resultsfor}
        </div>
        <div class=" col-sm-12">
            <table id="history" class="table" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th width="25%">{$lang.history.time}</th>
                        <th>{$lang.history.location}</th>
                        <th>{$lang.history.runtime}</th>
                        <th>{$lang.history.response}</th>
                        <th>{$lang.history.result}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$POST.checkResults item="result"}
                        <tr>
                            <td>{$result.time}</td>
                            <td>{$result.location}</td>
                            <td>{$result.runtime}</td>
                            <td>{$result.response}</td>
                            <td>{$result.result}</td>
                        </tr>
                    {/foreach}
                </tbody>
            </table>
        </div>
    </div>
</div>


{literal}
    <style>
        #history_length, select{
            display:  inline-block !important;
            width: auto !important;
        }

        #history_filter, input{
            display:  inline-block !important;
            width: auto !important;
        }

        #history_filter, input{
            margin-left: 2px !important;
        }

        #history_wrapper {
            margin-top: 10px;
        }
    </style>
{/literal}
